
eServices - Bug #542

Draftsman step - feilds' and actions' validation

12/19/2017 03:43 PM - Saja Nakhleh

Status: Closed Start date: 12/18/2017

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: 1- > *plot area* is read only

> *Is govermental Number entered by

the applicant* value shown as digit

numbers!! 

> *Services Fees calculation* is shown

on Property tab

Kindly consider Evidence # 4.

2- [UP]and[Down] actions will stay

enabled when the last record is deleted,

Once they clicked an error will be

occurred as on the evidence # 5

3- Although the last record is selected,

the update and delete actions will be

disabled ( evidence # 7)

4- the Type description field does not

open. ( evidence # 8)

5- The section shows empty page

6- Save action does NOT work

7- Once the transaction is escalated,

then the approve action will be hidden for

the manager user (evidence # 9)

(1022017000203591)

8- the List does not contain any name

(evidence # 10)

Severity: Normal Environment: Development

Category: Site plan Transaction Number: 1022017000203571

Sub-Category:  Username:  

Step_Description:  Browser: Firefox

Pre_Conditions: 1- Create new site plan transaction

2- Assign the transaction to the Draftman

step

URL:  

Expected Result: 1- > *plot area* should be editable

> *Is govermental Number entered by

the applicant* value should be [Yes/NO] 

> *Services Fees calculation* should be

shown on the Basic info tab NOT on

Property tab

2- [UP]and[Down] actions should be

disabled once the last record is deleted

Test Case ID:  
3- Once any record is selected, then all

the actions should be enabled

4- the Type description field should drag

the available options

5- The Final report should be viewed 

normally 

6- Save action should save any changed

values 

7- Once the transaction is escalated,

then the approve action should be

enabled for the manager user

8- the list should drag the *Officer* users

Description

Fields'  validation:

Steps:

1- Consider the preconditions bellow

2- Observe the plot area, Is govermental Number entered by the applicant, Services Fees calculation fields

3- Nvigate to the Hight Comments tab, add 1 record then delete it, Observe the [up] and [down] actions

4- Navigate to Boundaries/Protrusion tab, add 2 records, delete one of them, Observe the update and delete actions

Note: repeated on :Forbidden Conditions tab, Parking Conditions tab, Other Conditions

5- Open the attachments dialoge; Observe the Type description field

Actions validation:

Steps:

1- Observe the "Preview Final Report" section

2- Click on Save action

3- Escalate the trasaction

4- Click Request info action and observe the User name List options

History

#1 - 12/24/2017 01:11 PM - Saja Nakhleh

- File 10.JPG added

- Description updated

- Expected Result updated

- Actual Result updated

#2 - 01/02/2018 10:07 AM - Hazem Shoushari

- Status changed from Open to Fixed

- Assignee changed from Hazem Shoushari to Saja Nakhleh

- % Done changed from 0 to 100

- Environment Development added

- Environment deleted (QA)

about point number 5 :

The Final report should be viewed  normally.

#to configure the browser to view pdf in frame

#3 - 01/03/2018 01:04 PM - Saja Nakhleh

- File #1.jpg added

- File 6.JPG added
- Status changed from Fixed to Closed

1- All the issues have been tested and verified, except the following:

A- Issue #5 ["Preview Final Report" section]  has moved to a separate report

B- Issue #8 [Request info action] is not valid issue as this action should not be shown in this step

Files

5.JPG 185 KB 12/18/2017 Saja Nakhleh

4.jpg 102 KB 12/18/2017 Saja Nakhleh

7.JPG 34.8 KB 12/18/2017 Saja Nakhleh

8.JPG 85.6 KB 12/18/2017 Saja Nakhleh

9.JPG 98.1 KB 12/18/2017 Saja Nakhleh

10.JPG 137 KB 12/24/2017 Saja Nakhleh

#1.jpg 161 KB 01/03/2018 Saja Nakhleh

6.JPG 205 KB 01/03/2018 Saja Nakhleh
